Get contract cost allocation
curl --request GET \
--url https://api.saas-manager.biz.nuro.jp/api/v1/organizations/{organizationId}/services/{serviceId}/contracts/{contractId}/contract-cost-allocations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.saas-manager.biz.nuro.jp/api/v1/organizations/{organizationId}/services/{serviceId}/contracts/{contractId}/contract-cost-allocations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.saas-manager.biz.nuro.jp/api/v1/organizations/{organizationId}/services/{serviceId}/contracts/{contractId}/contract-cost-allocations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"contractId": 1,
"strategy": "bottom_up",
"totalAmountSource": "cost_master",
"paymentCycleUnit": "month",
"paymentCycleValue": 1,
"currency": "jpy",
"billingMethod": "postpaid",
"note": "note",
"costAllocationItems": [
{
"id": 1,
"contractCostAllocationId": 1,
"name": "Copilot",
"price": 1000,
"workspaceId": 1,
"type": "account",
"allocationType": "people"
}
]
}Contracts
Get contract cost allocation
Retrieve the cost allocation configured for a contract.
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
contracts
/
{contractId}
/
contract-cost-allocations
Get contract cost allocation
承認
レスポンス
例:
1
例:
1
利用可能なオプション:
none, top_down, bottom_up 例:
"bottom_up"
利用可能なオプション:
cost_master, manual_input, dynamic_calculation 例:
"cost_master"
利用可能なオプション:
day, week, month, year 例:
"month"
例:
1
Currency of the cost
利用可能なオプション:
jpy, usd, idr 例:
"jpy"
利用可能なオプション:
prepaid, postpaid 例:
"postpaid"
例:
"note"
Show child attributes
Show child attributes
最終更新日 2026年9月29日